import {service} from '../utils/request'
const api1 = "/mosty-base"
const api2 = "/mosty-qwzx"
const api3 = "/mosty-jcgl"

/*
 * 查询警务站列表
 *  return promise 实例对象
 */
export function selectJwzList(data) {
    return service({
        url: api3 + "/tbJcglJwz/selectJwzList",
        method: "GET",
        params: data
    });
};

/*
 * 新增警务站
 *  return promise 实例对象
 */
export function addJwz(data) {
    return service({
        url: api3 + "/tbJcglJwz/addJwz",
        method: "POST",
        data
    });
};

/*
 * 查询快返点列表
 *  return promise 实例对象
 */
export function selectKfdList(data) {
    return service({
        url: api3 + "/tpJcglKfd/selectKfdList",
        method: "GET",
        params: data
    });
};

/*
 * 新增快反点
 *  return promise 实例对象
 */
export function addKfd(data) {
    return service({
        url: api3 + "/tpJcglKfd/addKfd",
        method: "POST",
        data
    });
};

/*
 * 查询巡防区列表
 *  return promise 实例对象
 */
export function queryList(data) {
    return service({
        url: api3 + "/tbJcglXfqy/queryList",
        method: "GET",
        params: data
    });
};

/*
 * 新增巡防区
 * return promise 实例对象
 */
export function addXfqy(data) {
    return service({
        url: api3 + "/tbJcglXfqy/addXfqy",
        method: "POST",
        data
    });
};

/*
 * 查询巡防车辆
 *  return promise 实例对象
 */
export function getXfclList(data) {
    return service({
        url: api3 + "/tpJcglXfcl/getXfclList",
        method: "GET",
        params: data
    });
};

/*
 * 新增巡防车辆
 * return promise 实例对象
 */
export function addXfcl(data) {
    return service({
        url: api3 + "/tpJcglXfcl/addXfcl",
        method: "POST",
        data
    });
};

/*
 * 查询智能装备
 *  return promise 实例对象
 */
export function getZnzb(data) {
    return service({
        url: api3 + "/tpjcglZnzb/getZnzb",
        method: "GET",
        params: data
    });
};

/*
 * 新增智能装备
 * return promise 实例对象
 */
export function addZnzb(data) {
    return service({
        url: api3 + "/tpjcglZnzb/addZnzb",
        method: "POST",
        data
    });
};

/*
 * 查询巡逻力量
 *  return promise 实例对象
 */
export function getXlll(data) {
    return service({
        url: api3 + "/tbJcglXfll",
        method: "GET",
        params: data
    });
};

/*
 * 新增巡逻力量
 * return promise 实例对象
 */
export function addXlll(data) {
    return service({
        url: api3 + "/tbJcglXfll",
        method: "POST",
        data
    });
};

/*
 * 巡逻力量-验证人员生份证是否存在
 * return promise 实例对象
 */
export function isCheck(data) {
    return service({
        url: api3 + "/tbJcglXfll/check/",
        method: "GET",
        params: data
    });
};

/*
 * 分页查询用户信息
 * return promise 实例对象
 */
export function sysUser(data) {
    return service({
        url: api1 + "/sysUser/selectPage",
        method: "GET",
        params: data
    });
};

// 查询部门树
export function getDept(data) {
    return service({
        url: api1 + "/sysDept/getAllChildDeptList",
        method: "POST",
        data
    });
};

// 查询警用装备 警用器械
export function selectJyqx(data) {
    return service({
        url: api3 + "/tpJcglJyqx/selectJyqx",
        method: "GET",
        params: data
    });
};

// 新增警用器械
export function addJyqx(data) {
    return service({
        url: api3 + "/tpJcglJyqx/{addJyqx}",
        method: "POST",
        data
    });
};

// 查询子部门集合
export function getChildDeptList(data) {
    return service({
        url: api1 + "/sysDept/getChildDeptList",
        method: "POST",
        data
    });
};

// 根据部门编码分页查询当前及下级部门信息
export function selectNextPage(data) {
    return service({
        url: api1 + "/sysDept/selectNextPage",
        method: "GET",
        params: data
    });
};
